Bug 181882 - desktop locks immediately after changing the system clock
desktop locks immediately after changing the system clock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
:
: 186800 (view as bug list)
Depends On:
Blocks: FC6Target FC6Desktop
  Show dependency treegraph
 
Reported: 2006-02-17 08:45 EST by Juergen Bullinger
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-27 23:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-02-17 08:45:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
This is a really funny bug. I changed my system clock. I accidentally set the flag "system clock uses UTC" and got the wrong time, because I set it up correctly on my FC4 installation on the same system.
After I changed this on my FC 5 Testrelease 2 installation using

Starter Menu->System->Adminstration->Date&Time

and changed the time (from 9 am to 2 pm) the desktop locked because of "inactivity" for a long time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install FC 5 Testrelease 2
2. set the system clock to use UTC select timezone New York
3. reboot the system on another partition and change the settings to use local time in timezone Europe/Berlin
4. reboot the system with the FC5 partition installed under 1
5. change the time settings to use local time and the timezone to Europe/Berlin
6. adjust the time and press ok

Most likely it is not necessary to change the time in another installation. Probably it is enough to skip steps 3 and 4 and set up the time incorrect in step 1 (so that the clock in your linux box is some hours behind the real clock)
  

Actual Results:  The desktop locks because of inactivity

Expected Results:  It should not lock

Additional info:
Comment 1 Rahul Sundaram 2006-02-20 05:48:32 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Juergen Bullinger 2006-03-05 13:20:05 EST
Hi, this problem still exists in fc 5 Test 3 (I detected it in FC5 Test 2 and
changed the version info to FC 5 Test 3)

I guess you set a timer and check after this timer fired if there was user
activity since setup of the timer. If it works this way you can probably avoid
this behaviour in a very simple way. Separate your timer period in two periods.
If the first is without activity then set up a second timer (maybe using a
smaller period) if there is also no activity in this period you can switch on
the screenshaver.
You probably just need to change your logic so that it waits two periods of time. 
If you use a "hook" on mouse events and stuff it's similar. If you haven't
received any event during a timer period you also can setup a timer for a "last
call". If the user also doesn't do anything in this period it is pretty save to
switch the screensaver on.
If you can manage to detect clock skews, I would really like to see the
sourcecode :o)
Comment 3 Juergen Bullinger 2006-03-08 05:25:20 EST
Hi sorry, I changed the status to "NEEDINFO", because I don't know what exactly
"REOPEN" means it looks like probably you haven't recognized that I still have
this problem and added some new info (see above)
Comment 4 Frank Arnold 2006-03-26 15:45:43 EST
*** Bug 186800 has been marked as a duplicate of this bug. ***
Comment 5 Frank Arnold 2006-03-26 16:04:03 EST
Just too funny. I filed it upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=336114
Comment 6 Christopher Brown 2006-03-26 19:07:45 EST
Hmmm,

This becomes somewhat less amusing with U.K. users entering British Summer Time
therefore clocks have jumped forward one hour. 

I am seeing this on a fully updated system under FC5. I have attempted to
disable screen blanking on the power controls (following inactivity) however it
continues to blank every 20 minutes.

Regards
Chris
Comment 7 Matthias Clasen 2006-08-27 13:01:52 EDT
Upstream bug has a patch that I'm going to put into glib, we should put that in
our glib package, too.
Comment 8 Matthias Clasen 2006-08-27 23:16:15 EDT
Fixed in glib-2.12.2-2.fc6

Note You need to log in before you can comment on or make changes to this bug.